<template>
	<div class="card" v-match-heights="{
    el: ['.card-content'],  // fix height of cards
  }">
	  <div class="card-image">
	  	<img :src="'https://img.youtube.com/vi/' + video.vidID + '/mqdefault.jpg'"/>
	  </div>
	  <div class="card-content">
	    <span class="deep-purple-text card-title">{{ video.title }}</span>
	    <p> {{ video.description }}</p>
	    <ul class="video-tags">
	      <li v-for="(tag,index) in video.tags" :key="index"><span class="chip">{{ tag }}</span></li>
	    </ul>
	  </div>
	  <div class="card-action">
     <a class="action-link show-in-modal" @click="watchVideo(video.vidID)">Watch</a>
    </div>

	</div>
</template>

<script>
export default {
  name: 'VidCard',
  props: ['video'],

  data () {
    return {
    }
  },
  methods: {
    watchVideo () {
      this.$modal.show({
        template: `
          <div class="gl-video-watch-modal video-container">
            <div class="top-right">
              <button @click="closeByEvent" class="modal-close-btn">
                <i class="material-icons">close</i>
              </button>
            </div>
          <youtube-media :video-id="videoID" :player-vars="{ showinfo: 0, autoplay: 1 }"></youtube-media>
          </div>
        `,
        props: ['videoID'],
        methods: {
          closeByEvent () { this.$emit('close') }
        }
      }, {
        videoID: this.video.vidID
      }, {
        width: '90%',
        height: 'auto'
      }, {
        'before-open': this.beforeOpen,
        'before-close': this.beforeClose
      })
    },
    beforeOpen (event) {

    },
    beforeClose (event) {
    }
  }
}
</script>

<style lang="css" scoped>
</style>